<template>
  <div id="open_space_preswot_wrapper">
		<el-card class="box-card">
			<div class="hotSubject">
				<div>
					<el-table
				  	:data="value"
						empty-text="프리스왓 관련 주제가 없습니다."
            :height="height">
						<el-table-column label="#" fixed width="50">
							<template slot-scope="scope">
    				    {{ scope.$index + 1 }}
    				  </template>
						</el-table-column>
						<el-table-column label="기관" prop="affiliation_description.description" sortable></el-table-column>
						<el-table-column label="주제명" prop="class_name" sortable></el-table-column>
						<el-table-column label="제출자명" prop="class.master.name" sortable></el-table-column>
						<el-table-column fixed="right" label="" width="120">
    				  <template slot-scope="scope">
    				    <el-button @click="showClass(scope.row)" type="text">입장</el-button>
    				  </template>
    				</el-table-column>
					</el-table>
				</div>
			</div>
		</el-card>
	</div>
</template>

<script>
import openspaceService from '../../services/openspaceService';

export default {
  name: 'OpenSpacePreswot',
  props: {
    value: Array,
    height: {
      type: Number
    }
	},
  methods: {
		async showClass(scope) {
			const vm = this;
			// 클릭 로그 (입장로그)
			const res = await openspaceService.postOpenInstitutionUserClass({
      	classId: scope.class_id
			});
			vm.$router.push(`/a/student/NNclass/${scope.class_id}`);
		},
  },
};
</script>         

<style lang="scss" scoped>
#open_space_preswot_wrapper {
	.hotSubject{
		margin: 5px 50px 10px 50px
	}
}

</style>
